Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractItemView.DragDropMode

    java.lang.Object
      java.lang.Enum<QAbstractItemView.DragDropMode>
          com.trolltech.qt.gui.QAbstractItemView.DragDropMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractItemView.DragDropMode>

Enclosing class:
  QAbstractItemView

    public static enum QAbstractItemView.DragDropMode

extends java.lang.Enum<QAbstractItemView.DragDropMode>
implements QtEnumerator

Describes the various drag and drop events the view can act upon. By default the view does not support dragging or dropping (`NoDragDrop`).

Note that the model used needs to provide support for drag and drop operations.

See Also:
  `setDragDropMode`, Using Drag and Drop with Item Views

Enum Constant Summary
`DragDrop` The view supports both dragging and dropping
`DragOnly` The view supports dragging of its own items
`DropOnly` The view accepts drops
`InternalMove` only accepts move operations only from itself.
`NoDragDrop` Does not support dragging or dropping.

Method Summary
`static QAbstractItemView.DragDropMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.DragDropMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractItemView.DragDropMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoDragDrop

    public static final QAbstractItemView.DragDropMode NoDragDrop

  Does not support dragging or dropping.

### DragOnly

    public static final QAbstractItemView.DragDropMode DragOnly

  The view supports dragging of its own items

### DropOnly

    public static final QAbstractItemView.DragDropMode DropOnly

  The view accepts drops

### DragDrop

    public static final QAbstractItemView.DragDropMode DragDrop

  The view supports both dragging and dropping

### InternalMove

    public static final QAbstractItemView.DragDropMode InternalMove

  only accepts move operations only from itself.

Method Detail

### values

    public static final QAbstractItemView.DragDropMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractItemView.DragDropMode c : QAbstractItemView.DragDropMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractItemView.DragDropMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.DragDropMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD